<?xml version="1.0" encoding="utf-8" ?> 
<!-- Library of commonly used templates: extensions to the skinning language.-->
<DUMMY> 
    <!--*************************Model***********************************-->
    <!-- CONST_PARAM: Parameter with constant value -->
    <TEMPLATE id="CONST_PARAM" value="#value undefined#">
        <PARAM id="$id$" max="$value$" min="$value$" default="$value$"/> 
    </TEMPLATE>
    
        
    <!--*************************Links***********************************-->
    <!-- BOOLEAN_EXCLUSIVE_LINK: Link for multiple boolean parameters that ensure that only one is true at a time.
         Warning: initial values for the parameters should be correct (only one true) for correct behavior.
    -->
    <TEMPLATE id="BOOLEAN_EXCLUSIVE_LINK" param_ids="#undefined param_ids#">
        <PARAM_MULTI_LINK mux_function="max" reverse="true" trigger_min="1" from="$param_ids$" to="$param_ids$"/>
    </TEMPLATE>
    
    <!-- PARAM_MIN_MAX_LINK: links two parameters with a min/max constraint-->
    <TEMPLATE id="PARAM_MIN_MAX_LINK" min="#UNDEFINED" max="#UNDEFINED">
        <PARAM_MULTI_LINK from="$min$;$max$" to="$max$" mux_function="max"/>
        <PARAM_MULTI_LINK from="$min$;$max$" to="$min$" mux_function="min"/>	
	</TEMPLATE>

    <!--*************************Widgets***********************************-->
    <TEMPLATE id="PARAM_TEXT_BUTTON" param_id="#undefined param_id#" text="#Undefined#" reverse="false" cursor="system::hand" loop="true" positions_count="2">
        <TEXT value="$text$">
            <INVISIBLE_PARAM_BUTTON param_id="$param_id$" width="100%" height="100%" reverse="$reverse$" cursor="$cursor$" loop="$loop$" positions_count="$positions_count$"/>
        </TEXT>
    </TEMPLATE>
    
    <TEMPLATE id="PARAM_TEXT_TOGGLE_SWITCH" param_id="#undefined param_id#" text="#Undefined#" reverse="false" cursor="system::hand">
        <TEXT value="$text$">
            <INVISIBLE_PARAM_TOGGLE_SWITCH param_id="$param_id$" width="100%" height="100%" reverse="$reverse$" cursor="$cursor$"/>
        </TEXT>
    </TEMPLATE>
</DUMMY>